# [Affilicious](https://affilicioustheme.de) [![Build Status](https://travis-ci.org/affilicious/affilicious.svg?branch=master)](https://travis-ci.org/affilicious/affilicious) [![Website](https://img.shields.io/website-up-down-green-red/http/shields.io.svg)](https://affilicioustheme.de) [![License](https://img.shields.io/badge/license-GPL--2.0%2B-red.svg)](https://github.com/affilicious/affilicious/blob/master/LICENSE) #
Affilicious ist eine Affiliate Platform basierend auf Wordpress. Es erlaubt Affiliate Marketeren Webseiten mit Produkten und Varianten, automatischen Preisupdates, Preisvergleichen, Details, Attributen und vielem mehr zu versehen. Natürlich alles kostenlos.

Für weitere Informationen kannst du gerne auf unserer Homepage unter [https://affilicioustheme.de](https://affilicioustheme.de) vorbeischauen.

Lese das in einer anderen Sprache: [English](README.md)

### Betrifft das mich als Affiliate Marketer? ###
Ja, das tut es. Wir sind selbst Affiliate Marketere und kennen dieses Tätigkeitsfeld. Insbesondere wenn man am Anfang steht, kann es sehr herausfordernd und teurer werden. 

Mit dem Affilicious Plugin bieten wir dir eine gute Möglichkeit, deine Webseite mit vielen nützlichen Features zu erweitern und deine Verkäufe zu steigern. Somit sparst du dir so einiges an Plugins. Wenn du auf der Suche nach tollen Themes und Plugins bist, besuche unsere [offizielle Webseite](https://affilicioustheme.de).

### Warum betrifft es mich als Entwickler? ###
Dafür gibt es unzählige Gründe! Als Entwickler kannst du beim Ausbau von Affilicious helfen, indem du eigene Themes oder Plugins entwickelst. Hinzu kommt, dass die Affiliate Marketing Community ständig weiterwächst und eine hohe Nachfrage für ausgezeichnete Themes und Plugins besteht. Viele potenzielle Kunden sind schon gespannt darauf, was du ihnen so alles bieten kannst!

Wahrscheinschlich fragst du dich jetzt: „Wie schwer ist es mit Affilicious zu entwickeln“? Und die Antwort ist: „Einfach im Vergleich zu anderen Lösungen!“. Bei der Entwicklung von Affilicious haben wir uns von Anfang an sehr stark um die Drittanbieterunterstützung gekümmert. Nun einige Gründe, warum die Entwickelung mit dem Affilicious Plugin dir viel Freude bereiten wird:

1. [Wordpress](https://wordpress.com) als bekannte Platform.
2. Echte [Objekt-Orientierte Programmierung](https://en.wikipedia.org/wiki/Object-oriented_programming) mit Klassen, Interfaces and Namespaces.
3. [Carbon Fields](https://carbonfields.net) und [Backbone](http://backbonejs.org) um komplexe Formulare mit Leichtigkeit zu erstellen.
4. [Pimple](http://pimple.sensiolabs.org) als kleiner Dependency Injection Container.
5. [NodeJS](https://nodejs.org) und [Gulp](http://gulpjs.com) für ein einfaches Verwalten der Designs und Skripte.
6. [Sass](http://sass-lang.com) and [ECMAscript 6](https://babeljs.io/docs/learn-es2015/) Support.
7. Viele eingebaute Wordpress [Hooks](https://codex.wordpress.org/Plugin_API/Hooks) und [Filter](https://codex.wordpress.org/Plugin_API/Filter_Reference).
8. [Composer](https://getcomposer.org) für einfache Inklusion von anderen Hilfsprogrammen. 
9. Automatisierte Tests mit [PHPUnit](https://phpunit.de).
 
### Über die Git-Versionsverwaltung ###
Für die letzte stabile Master Version:

1. Klone das Plugin in das Wordpress Plugin Verzeichnis: `https://github.com/affilicious/affilicious.git`
2. Wechsel den Branch auf `master`.
3. Aktiviere das Plugin im Adminbereich.

Für die letzte stabile Entwickler Version über Git:

1. Klone das Plugin in das Wordpress Plugin Verzeichnis: `https://github.com/affilicious/affilicious.git`
2. Wechsel den Branch auf `develop`.
3. Aktiviere das Plugin im Adminbereich.
 
### Über eine einfache ZIP-Datei ###
Für die letzte stabile Master Version über ZIP:

1. Lade dir das Plugin als ZIP-Datei herunter: [https://github.com/affilicious/affilicious/archive/master.zip](https://github.com/affilicious/affilicious/archive/master.zip)
2. Lade das Plugin auf deine Wordpress Seite hoch.
3. Aktiviere das Plugin im Adminbereich.

Für die letzte stabile Entwickler Version über ZIP:

1. Lade dir das Plugin als ZIP-Datei herunter: [https://github.com/affilicious/affilicious/archive/develop.zip](https://github.com/affilicious/affilicious/archive/develop.zip)
2. Lade das Plugin auf deine Wordpress Seite hoch.
3. Aktiviere das Plugin im Adminbereich.

Eine ausführliche Anleitung für die Installation und viele weitere hilfreiche Tipps im Umgang mit dem Affilicious Theme, findest du auf unserer offiziellen [Dokumentation](http://docs.affilicioustheme.de).

## Bugs ##
Solltest du einen Bug finden, kannst du diesen gerne [hier](https://github.com/affilicious/affilicious/issues?state=open) melden!

## Wie kann ich helfen? ##
Jeder ist Willkommen um zur Entwicklung vom Affilicious Plugin beizutragen. Es gibt viele Wege sich zu beteiligen:

1. Schicke uns deinen Pull Request mit deinem Bug Fix oder Feature.
2. Erstelle ein [Problem](https://github.com/affilicious/affilicious/issues) auf Github.
3. Übersetze Affilicious in ein andere Sprache.
4. Sende einen Vorschlag oder Feedback auf [Verbesserungen](https://github.com/affilicious/affilicious/issues?direction=desc&labels=Enhancement&page=1&sort=created&state=open)
