# [Affilicious](https://affilicioustheme.de) [![Build Status](https://travis-ci.org/affilicious/affilicious.svg?branch=master)](https://travis-ci.org/affilicious/affilicious) [![Website](https://img.shields.io/website-up-down-green-red/http/shields.io.svg)](https://affilicioustheme.de) [![License](https://img.shields.io/badge/license-GPL--2.0%2B-red.svg)](https://github.com/affilicious/affilicious/blob/master/LICENSE) #
Affilicious is an Affiliate platform build on top of Wordpress. It allows affiliate marketers to easily maintain websites with support for
product & variants, automatic product updates, price comparisons, details, attributes and more. Everything for free.

Read this in other languages: [German](README.de.md)

### Does this affect me as an affiliate marketer? ###
Yes, it does. We are affiliate marketers ourselves and we know that this business can be challenging and expensive at the beginning.
The competition gets bigger and bigger. Having a great foundation for your websites is just essential!

That's exactly where we want to help you. We are providing the foundation with many useful features. The times searching for the 
right plugins and themes are over. If you want to get great plugins and themes, you just have to visit our [official website](https://affilicioustheme.de).

### Why should I care as a developer? ###
Really, there are many reasons! You as a developer can benefit from extending Affilicious by building custom plugins and themes. 
Additionally, the affiliate marketing community is growing fast and needs many individual plugins to manage their websites. I'm sure that there are 
many customers who can't wait to use your plugins and/or themes!

Maybe you are asking how complex it can be to develop something with Affilicious. Well, the answer is: Easy compared to other similar solutions.
You have to know that Affilicious is developed thinking about third party developers and theme authors needs from the beginning.
Here is why developing with the Affilicious Plugin is really fun:

1. Build on top of the [Wordpress](https://wordpress.com) platform.
2. Real [Object-Oriented Programming](https://en.wikipedia.org/wiki/Object-oriented_programming) with classes, interfaces and namespaces.
3. [Carbon Fields](https://carbonfields.net) and [Backbone](http://backbonejs.org) for building complex forms with ease.
4. [Pimple](http://pimple.sensiolabs.org) as a small Dependency Injection Container.
5. [NodeJS](https://nodejs.org) with [Gulp](http://gulpjs.com) for building assets.
6. [Sass](http://sass-lang.com) and [ECMAscript 6](https://babeljs.io/docs/learn-es2015/) Support.
7. Lots of build-in Wordpress [Hooks](https://codex.wordpress.org/Plugin_API/Hooks) and [Filters](https://codex.wordpress.org/Plugin_API/Filter_Reference).
8. [Composer](https://getcomposer.org) for easy vendor usage. 
9. Automated tests with [PHPUnit](https://phpunit.de).
 
## Installation ##
### Via the Git version managment ###
For the latest stable master version:

1. Clone the GitHub repository into your Wordpress plugin directory: `https://github.com/affilicious/affilicious.git`
2. Switch the branch to `master`
3. Activate it in the admin area.

For the latest developer version:

1. Clone the GitHub repository into your Wordpress plugin directory: `https://github.com/affilicious/affilicious.git`
2. Switch the branch to `develop`
3. Activate it in the admin area.

### Via a simple ZIP file ###
For the latest stable master version:

1. Download the plugin directly as a ZIP file: [https://github.com/affilicious/affilicious/archive/master.zip](https://github.com/affilicious/affilicious/archive/master.zip)
2. Upload the plugin to your Wordpress site.
3. Activate it in the admin area.

For the latest developer version:

1. Download the plugin directly as a ZIP file: [https://github.com/affilicious/affilicious/archive/develop.zip](https://github.com/affilicious/affilicious/archive/develop.zip)
2. Upload the plugin to your Wordpress site.
3. Activate it in the admin area.

## Bugs ##
If you find an issue, write it [here](https://github.com/affilicious/affilicious/issues?state=open), dude!

## Contributions ##
Anyone is welcome to contribute to Affilicious. There are various ways you can contribute.

1. Send us a pull request with your bug fixes or new features.
2. Raise an [issue](https://github.com/affilicious/affilicious/issues) on GitHub.
3. Translate Affilicious into different languages.
4. Provide suggestions and feedback on [enhancements](https://github.com/affilicious/affilicious/issues?direction=desc&labels=Enhancement&page=1&sort=created&state=open)
